package com.gic.haoban.manage.api.dto.chat;

import com.gic.haoban.manage.api.qdto.chat.GroupChatActivityJoinQDTO;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 社群邀请有礼表(TabHaobanGroupChatActivity)实体类
 *
 * @author makejava
 * @since 2024-09-27 16:09:38
 */
public class GroupChatActivityDTO extends GroupChatActivityBaseDTO implements Serializable {
    private static final long serialVersionUID = 973688857967269973L;

    /**
     * 奖励规则map key为奖励邀请人类型
     */
    private Map<Integer,List<GroupChatActivityRewardDTO>> rewardMap;

    /**
     * 入群规则列表
     */
    private List<GroupChatActivityJoinDTO> joinList;

    public Map<Integer, List<GroupChatActivityRewardDTO>> getRewardMap() {
        return rewardMap;
    }

    public void setRewardMap(Map<Integer, List<GroupChatActivityRewardDTO>> rewardMap) {
        this.rewardMap = rewardMap;
    }

    public List<GroupChatActivityJoinDTO> getJoinList() {
        return joinList;
    }

    public void setJoinList(List<GroupChatActivityJoinDTO> joinList) {
        this.joinList = joinList;
    }
}

